# Exchange Search

The Exchange Search API is the second step in the GDS exchange workflow, after Eligibility. It supports searching for an alternate itinerary for a possible exchange on a currently ticketed GDS itinerary. The response details any differences in base fare, taxes, fees, and total price between the currently ticketed itinerary and the possible new itinerary.

Endpoint: POST /exchangesearch/catalogofferingsairchange
Version: 11.33.0
Security: bearerAuth

## Header parameters:

  - `TraceId` (string)
    Identifier used to correlate Air API invocations across a multi-call business flows.
    Example: "TraceID_123456789"

  - `XAUTH_TRAVELPORT_ACCESSGROUP` (string)
    Identifies the Travelport access group with which the caller is associated
    Example: "19Y88702-C27A-4E5D-829A-89D7016688B1"

  - `travelportPlusSessionIdentifier` (string)
    travelportPlusSessionIdentifier used to maintain an established agency session
    Example: "49f58f5f-c443-43b4-9f5d-be405fd00a01"

  - `TVP-PCC-Core` (string)
    Allows user to pass PCC instead of Access Group ID
    Example: "DU7_1G"

  - `Accept-Encoding` (string, required)
    Comma-separated list of acceptable encodings like gzip and/or deflate
    Example: "gzip, deflate"

## Request fields (application/json):

  - `@type` (string, required)
    Example: "CatalogOfferingsQueryAirChange"

  - `CatalogOfferingsAirChangeRequest` (object, required)
    Discriminator classes CatalogOfferingsAirChangeRequestReservation or CatalogOfferingsAirChangeRequestDocumentNumber

  - `CatalogOfferingsAirChangeRequest.@type` (string, required)
    Example: "CatalogOfferingsAirChangeRequestReservation"

  - `CatalogOfferingsAirChangeRequest.catalogOfferingsPerPage` (integer)
    Catalog Offerings per page value
    Example: 5

  - `CatalogOfferingsAirChangeRequest.SearchCriteriaFlight` (array, required)

  - `CatalogOfferingsAirChangeRequest.SearchCriteriaFlight.departureDate` (string)
    Preferred local departure date in YYYY-MM-DD format. For GDS, send either departureDate or arrivalDate. If both departureDate and arrivalDate are sent, departureDate is ignored. For NDC, departureDate is required. For GDS content, departureDate is not required when sending arrivalDate.

  - `CatalogOfferingsAirChangeRequest.SearchCriteriaFlight.daysBeforeDeparture` (integer)
    Available for flex search only. Return flight options within a number of days from specified departure date. Maximum of 3 days can be selected.
    Example: 1

  - `CatalogOfferingsAirChangeRequest.SearchCriteriaFlight.daysAfterDeparture` (integer)
    Available for flex search only. Return flight options within a number of days from specified departure date. Maximum of 3 days can be selected.
    Example: 2

  - `CatalogOfferingsAirChangeRequest.SearchCriteriaFlight.departureTime` (string)
    Returns NDC offers with flights between two hours before and two hours after the departure time; for example, for departureTime of 10:00:00, Search returns available flights between 8:00 and 12:00. Do not use for GDS; instead, use DepartureTimeRange. For NDC content, if multiple time options are sent in the same instance of SearchCriteriaFlight, they are applied in the order DepartureTimeRange, departureTime, and arrivalTime.
    Example: "07:00:00"

  - `CatalogOfferingsAirChangeRequest.SearchCriteriaFlight.arrivalDate` (string)
    Date of arrival in YYYY-MM-DD format. For GDS, send either arrivalDate or departureDate. If both departureDate and arrivalDate are sent, departureDate is ignored. For NDC, arrivalDate is optional and departureDate is always required; if sent, offers returned are filtered by both arrivalDate and departureDate.

  - `CatalogOfferingsAirChangeRequest.SearchCriteriaFlight.arrivalTime` (string)
    Returns NDC offers with flights between two hours before and two hours after the arrival time; for example, for arrivalTime of 10:00:00, Search returns available flights between 8:00 and 12:00. Do not use for GDS; instead, use ArrivalTimeRange. Supported only by specific NDC carriers. For detailed NDC support by carrier, see the Knowledge Base article NDC capabilities by airline through JSON API (see Knowledge Base NDC Resources if you need login assistance).
    Example: "09:15:00"

  - `CatalogOfferingsAirChangeRequest.SearchCriteriaFlight.legSequence` (integer)
    Recommended to send when requesting cabin, class of service, and/or connection preferences at the leg level. See example in Air Search guide. Do not send if requesting preferences at itinerary level.

  - `CatalogOfferingsAirChangeRequest.SearchCriteriaFlight.From` (object, required)
    Origin Destination Information

  - `CatalogOfferingsAirChangeRequest.SearchCriteriaFlight.From.value` (string)
    The IATA airport or city code for the departure or arrival airport/city for this leg.
    Example: "MEX"

  - `CatalogOfferingsAirChangeRequest.SearchCriteriaFlight.From.cityOrAirport` (string)
    Optional enumeration specifying whether to restrict the search based on the city/airport code sent in From/value. Possible options and behavior are as follows. These behaviors are for availability selection only. Actual content may vary based on calculated price and diversity. Not all NDC carriers may support all options. Airport code with no cityOrAirport value expands the availability selection to the city while giving preference to the requested airport. For example, LGA would return flights for LGA, EWR, and JFK but would target more content from LGA. City code with no cityOrAirport value returns an unweighted selection of inventory for all airports in the city. For example, NYC would search content equally between LGA, EWR, and JFK. This behavior also applies to: city code with Airport Only, City code with City Only, City or airport code with City or Airport. Airport code with cityOrAirport value Airport Only returns content only from the specified airport. For example, LGA will return content from only LGA. Airport code with cityOrAirport value City expands the availability selection to the city without giving preference to the requested airport. This behavior is equivalent to searching with the airport's city code. For example, LGA would instead be treated as NYC and would return flights for LGA, EWR, and JFK with no preference.
    Enum: "Airport Only", "City or Airport", "City Only", "Use Default"

  - `CatalogOfferingsAirChangeRequest.SearchCriteriaFlight.From.radius` (integer)
    Available for flex search only. Return offers from airports within a specified distance from the origin and/or destination.
    Example: 50

  - `CatalogOfferingsAirChangeRequest.SearchCriteriaFlight.From.radiusMeasurement` (string)
    For Hotels: Optional object to request either miles or kilometers for the search radius from the specified location. If unitOfDistance is not specified, the search defaults to miles for properties in the United States, Myanmar, and Liberia. The search defaults to kilometers in all other countries.
    Enum: "Miles", "Kilometers"

  - `CatalogOfferingsAirChangeRequest.SearchCriteriaFlight.To` (object, required)
    Origin Destination Information

  - `CatalogOfferingsAirChangeRequest.SearchCriteriaFlight.AdditionalFrom` (array)
    Available for flex search only. Select additional origin cities to expand your flight options.

  - `CatalogOfferingsAirChangeRequest.SearchCriteriaFlight.AdditionalFrom.value` (string)
    The additional IATA airport or city codes for the departure or arrival airport/city for this leg.
    Example: "LGW"

  - `CatalogOfferingsAirChangeRequest.SearchCriteriaFlight.AdditionalFrom.cityOrAirport` (string)
    Optional enumeration specifying whether to restrict the search based on the city/airport code sent in From/value. Possible options and behavior are as follows. These behaviors are for availability selection only. Actual content may vary based on calculated price and diversity. Not all NDC carriers may support all options. Airport code with no cityOrAirport value expands the availability selection to the city while giving preference to the requested airport. For example, LGA would return flights for LGA, EWR, and JFK but would target more content from LGA. City code with no cityOrAirport value returns an unweighted selection of inventory for all airports in the city. For example, NYC would search content equally between LGA, EWR, and JFK. This behavior also applies to: city code with Airport Only, City code with City Only, City or airport code with City or Airport. Airport code with cityOrAirport value Airport Only returns content only from the specified airport. For example, LGA will return content from only LGA. Airport code with cityOrAirport value City expands the availability selection to the city without giving preference to the requested airport. This behavior is equivalent to searching with the airport's city code. For example, LGA would instead be treated as NYC and would return flights for LGA, EWR, and JFK with no preference.
    Enum: "Airport Only", "City or Airport", "City Only", "Use Default"

  - `CatalogOfferingsAirChangeRequest.SearchCriteriaFlight.AdditionalTo` (array)
    Available for flex search only. Select additional destination cities to expand your flight options.

  - `CatalogOfferingsAirChangeRequest.SearchCriteriaFlight.DepartureTimeRange` (object)
    In Air Search API supports searching by a departure or arrival time window for any leg of the itinerary. For NDC, supported only by specific NDC carriers. For detailed NDC support by carrier, see the Knowledge Base article NDC capabilities by airline through JSON API (see Knowledge Base NDC Resources if you need login assistance).

  - `CatalogOfferingsAirChangeRequest.SearchCriteriaFlight.DepartureTimeRange.start` (string)
    The start time of the departure or arrival time window to search. Either start or end is required.
    Example: "06:15:00"

  - `CatalogOfferingsAirChangeRequest.SearchCriteriaFlight.DepartureTimeRange.end` (string)
    The end time of the departure or arrival time window to search. Either start or end is required.
    Example: "09:15:00"

  - `CatalogOfferingsAirChangeRequest.SearchCriteriaFlight.ArrivalTimeRange` (object)
    In Air Search API supports searching by a departure or arrival time window for any leg of the itinerary. For NDC, supported only by specific NDC carriers. For detailed NDC support by carrier, see the Knowledge Base article NDC capabilities by airline through JSON API (see Knowledge Base NDC Resources if you need login assistance).

  - `CatalogOfferingsAirChangeRequest.PassengerCriteria` (array, required)

  - `CatalogOfferingsAirChangeRequest.PassengerCriteria.@type` (string, required)
    Discriminator. No child classes.
    Example: "PassengerCriteria"

  - `CatalogOfferingsAirChangeRequest.PassengerCriteria.number` (integer, required)
    The amount of passengers associated with this passenger type code
    Example: 1

  - `CatalogOfferingsAirChangeRequest.PassengerCriteria.age` (integer)
    The age of the passenger. Travelport recommends sending age only with PTCs that require age for pricing. For child passengers, Travelport recommends sending the age of the child in the age attribute plus the PTC CNN. Travelport recommends against sending CNN without age, or the CHD PTC. Many fares cannot be quoted for CHD. The age for CNN is generally between 2 and 11 inclusive, with ADT fares returned for ages 12 and up; however, this can vary by airline and country. The age for INF must be either 0 or 1. During booking, date of birth is required for all child and infant PTCs (Add Traveler payload in Traveler/birthDate).
    Example: 26

  - `CatalogOfferingsAirChangeRequest.PassengerCriteria.passengerTypeCode` (string)
    Required field for Air Search and Flight specific search. The passenger type code for the passengers on the itinerary. Common PTCs are: ADT: adult CHD: child of unknown age (see Notes on PTC and age below) CNN: child when age is known INF: infant without a seat INS: infant with a seat UNN: unaccompanied child. See API guides to download a full list of PTCs. NDC carriers BA, SQ, AV, AA, and AF/KLM offer teen/young adult tax exemptions from the UK Air Passenger Duty (GB tax). Send PTC with the value YTH and send the passengers age per below. The PTC may be returned as ADT, or Cxx in which xx is the age, but the tax exemption is applied in the pricing on these NDC carriers. When running a multiple passenger search for NDC on Qantas, Qantas supports only these PTCs: ADT, CHD, CNN, INF. Sending any other PTC may result in an error at ticketing.
    Example: "ADT"

  - `CatalogOfferingsAirChangeRequest.PassengerCriteria.birthDate` (string)
    The date of birth of the passenger. May be used in age validation for fares with age restrictions.
    Example: "2020-01-16"

  - `CatalogOfferingsAirChangeRequest.PassengerCriteria.CustomerLoyalty` (array)
    Optional object for sending customer loyalty information, such as for a frequent flyer program. If CustomerLoyalty is sent in the Search request, it must also be sent in the Air Price request and the Add Traveler request. Some carriers validate frequent traveler data through the workflow, failing to send the same CustomerLoyalty details, even if invalid, may cause a booking failure. If an invalid number is sent, the response returns a warning message that the FQTV is invalid, and the invalid number is cached to prevent a potential booking failure. In Search API CustomerLoyalty is only sent to NDC carriers. Ignored for GDS Search.

  - `CatalogOfferingsAirChangeRequest.PassengerCriteria.CustomerLoyalty.value` (string, required)
    Number on loyalty card.
    Example: "132456"

  - `CatalogOfferingsAirChangeRequest.PassengerCriteria.CustomerLoyalty.id` (string)
    Optional Customer Loyalty Id. Not saved
    Example: "Loyalty_1"

  - `CatalogOfferingsAirChangeRequest.PassengerCriteria.CustomerLoyalty.priority` (integer)
    Optional Numeric Priority Code
    Example: 2

  - `CatalogOfferingsAirChangeRequest.PassengerCriteria.CustomerLoyalty.programId` (string)
    "Specifies an identifier to indicate the company owner of the loyalty program. Typically two characters.
For frequent guest number, the hotel supplier or brand code. 
For frequent flyer number, the air supplier code of the loyalty program."
    Example: "United"

  - `CatalogOfferingsAirChangeRequest.PassengerCriteria.CustomerLoyalty.programName` (string)
    Supplier's loyalty program name.
    Example: "Frontier-EarlyReturns"

  - `CatalogOfferingsAirChangeRequest.PassengerCriteria.CustomerLoyalty.supplierType` (string)
    The type of supplier of a loyalty program. Uses 'hotel' for frequent guest number or 'air' for frequent flyer number.
    Example: "Airline"

  - `CatalogOfferingsAirChangeRequest.PassengerCriteria.CustomerLoyalty.supplier` (string, required)
    Supplier of a loyalty program (typically 2 characters representing the hotel, brand, or airline).
    Example: "UA"

  - `CatalogOfferingsAirChangeRequest.PassengerCriteria.CustomerLoyalty.tier` (string)
    Customer Loyalty tier
    Example: "Silver"

  - `CatalogOfferingsAirChangeRequest.PassengerCriteria.CustomerLoyalty.shareWithSupplier` (array)
    The list of suppliers that the CustomerLoyalty number is shared. Used for cross accrual.
    Example: ["LH"]

  - `CatalogOfferingsAirChangeRequest.PassengerCriteria.CustomerLoyalty.cardHolderName` (string)
    Customer loyalty member name; up to 128 characters are supported. In Air Search, for discounted offers to be returned, the name must be sent as LAST FIRST; e.g.,if SMITH is the last name and JORDAN the first name, send as SMITH JORDAN
    Example: "John Smith"

  - `CatalogOfferingsAirChangeRequest.PassengerCriteria.CustomerLoyalty.validatedInd` (boolean)
    Customer loyalty number has been validated by the supplier
    Example: true

  - `CatalogOfferingsAirChangeRequest.PassengerCriteria.CustomerLoyalty.prefix` (string)
    The cardholder name prefix title like Mr, Mrs, Dr
    Example: "Dr"

  - `CatalogOfferingsAirChangeRequest.PassengerCriteria.CustomerLoyalty.given` (string)
    The First Name of the Cardholder
    Example: "John"

  - `CatalogOfferingsAirChangeRequest.PassengerCriteria.CustomerLoyalty.middle` (string)
    Middle Name of the Cardholder
    Example: "Wilkinson"

  - `CatalogOfferingsAirChangeRequest.PassengerCriteria.CustomerLoyalty.surname` (string)
    Last Name of the Cardholder
    Example: "Smith"

  - `CatalogOfferingsAirChangeRequest.PassengerCriteria.TravelerGeographicLocation` (object)
    Optional object for requesting local citizen/local resident fares for Spain and associated islands. You must also send a PTC relevant to the local resident fares; e.g., ADR for adult resident, CHR for child resident. Any discount applied through TravelerGeographicLocation applies to all travelers, not only to the traveler in this instance of PassengerCriteria. If the discount must apply only to an individual traveler, that traveler requires a separate search and book workflow.

  - `CatalogOfferingsAirChangeRequest.PassengerCriteria.TravelerGeographicLocation.value` (string)
    IATA code for the city, country, or state/province relevant to the local citizen//local resident fare.
    Example: "PMI"

  - `CatalogOfferingsAirChangeRequest.PassengerCriteria.TravelerGeographicLocation.travelerGeographicLocationType` (string)
    The geographic type of the location value
    Enum: "Country", "StateProvince", "City"

  - `CatalogOfferingsAirChangeRequest.PassengerCriteria.TravelerGeographicLocation.residentGeographicCode` (string)
    Resident code for Spanish residency fares for NDC. Any discount will apply to all travelers, not only to the traveler in this instance of PassengerCriteria. Supported/validated only for NDC to support local citizen fares.

  - `CatalogOfferingsAirChangeRequest.PassengerCriteria.TravelerGeographicLocation.generalLargeFamilyResidentDiscountInd` (boolean)
    Send only if true and request qualifies for general large family resident discount, defined as general large families (up to three children) from Spain, from the EU/EEA, or of any other nationality whose residency in Spain is recognized and who are in possession of a large-family certificate issued by the autonomous community in which they live. Supported/validated only for NDC to support local citizen fares.
    Example: true

  - `CatalogOfferingsAirChangeRequest.PassengerCriteria.TravelerGeographicLocation.specialLargeFamilyResidentDiscountInd` (boolean)
    Send only if true and request qualifies for special large family resident discount, defined as special large families (four or more children) from Spain, from the EU/EEA, or of any other nationality whose residency in Spain is recognized and who are in possession of a large-family certificate issued by the autonomous community in which they live. Supported/validated only for NDC to support local citizen fares.
    Example: true

  - `CatalogOfferingsAirChangeRequest.PassengerCriteria.specifiedPassengerTypeCodeOnlyInd` (boolean)
    If true, returns only offers for the specified PTC. If no offers for that PTC are available, an error message that offers were found is returned. GDS only; not supported for NDC. Default is false.
    Example: true

  - `CatalogOfferingsAirChangeRequest.SearchModifiersAir` (object)
    Add one or more optional modifiers to filter search results by criteria related to the journey itself. All journey modifiers are in CatalogProductOfferingsQueryRequest/CatalogProductOfferingsRequest/SearchModifiersAir. Any modifiers sent in the initial Search request are applied to any subsequent Next Leg Search request. All modifiers apply to the entire itinerary, not at the leg level, unless otherwise specified with legSequence per below.

  - `CatalogOfferingsAirChangeRequest.SearchModifiersAir.@type` (string, required)
    discriminator
    Example: "SearchModifiersAir"

  - `CatalogOfferingsAirChangeRequest.SearchModifiersAir.excludeGround` (string)
    Excludes certain ground transportation from the response. By default, the response may return ground transportation options such as trains and buses, depending on the routing. In the response, ground transportation options are identified in ReferenceList/Flight by the TRN, TRS, or BUS equipment codes.GDS only, not supported for NDC.
    Enum: "Train", "All"

  - `CatalogOfferingsAirChangeRequest.SearchModifiersAir.CarrierPreference` (array)

  - `CatalogOfferingsAirChangeRequest.SearchModifiersAir.CarrierPreference.@type` (string, required)
    Discriminator. No child classes exist
    Example: "CarrierPreference"

  - `CatalogOfferingsAirChangeRequest.SearchModifiersAir.CarrierPreference.preferenceType` (string, required)
    The type of carrier preference
    Enum: "Preferred", "Permitted", "Prohibited"

  - `CatalogOfferingsAirChangeRequest.SearchModifiersAir.CarrierPreference.carriers` (array, required)
    One or more carrier codes to permit, prohibit, or prefer. Preferred alliances are also supported; send the alliance code (e.g., /*A) instead of the carrier code.
    Example: ["BA"]

  - `CatalogOfferingsAirChangeRequest.SearchModifiersAir.CarrierPreference.legSequence` (array)
    Applies the carrier/alliance preference to only specific legs of the itinerar referencing legSequence sent in SearchCriteriaFlight. Do not send if requesting preference at itinerary level. GDS only, not supported for NDC.
    Example: [1,2]

  - `CatalogOfferingsAirChangeRequest.SearchModifiersAir.CabinPreference` (array)

  - `CatalogOfferingsAirChangeRequest.SearchModifiersAir.CabinPreference.@type` (string, required)
    Discriminator. No child classes exist
    Example: "CabinPreference"

  - `CatalogOfferingsAirChangeRequest.SearchModifiersAir.CabinPreference.preferenceType` (string)
    Sending a mix of preferenceType values is not supported. For example, you cannot send an instance of CabinPreference with a preferenceType of Permitted and another instance with preferenceType of Prohibited. In this case the results default to the Preferred preference.
    Enum: "Preferred", "Permitted", "PreferredWithUpgrade", "Prohibited"

  - `CatalogOfferingsAirChangeRequest.SearchModifiersAir.CabinPreference.cabins` (array)
    A space-delimited list of cabins.
    Enum: "PremiumFirst", "First", "Business", "PremiumEconomy", "Economy"

  - `CatalogOfferingsAirChangeRequest.SearchModifiersAir.CabinPreference.legSequence` (array)
    Limits preference to the specified leg referenced in SearchCriteriaFlight. You can apply the preference to only some legs of the itinerary, or different preferences to different legs. To apply preference to the entire itinerary, do not send legSequence. GDS only, not supported for NDC. Not supported at Price or Book.
    Example: [1,2]

  - `CatalogOfferingsAirChangeRequest.SearchModifiersAir.ClassOfServicePreference` (array)

  - `CatalogOfferingsAirChangeRequest.SearchModifiersAir.ClassOfServicePreference.@type` (string)
    Discriminator. No child classes exist
    Example: "ClassOfServicePreference"

  - `CatalogOfferingsAirChangeRequest.SearchModifiersAir.ClassOfServicePreference.legSequence` (array)
    Applies preference to specified leg/s of the itinerary, referencing the leg sequence in SearchCriteriaFlight. Do not send if requesting preference at itinerary level.
    Example: [1,2]

  - `CatalogOfferingsAirChangeRequest.SearchModifiersAir.ClassOfServicePreference.ClassesOfService` (array, required)
    One or more classes of service to permit or prohibit.
    Example: ["F"]

  - `CatalogOfferingsAirChangeRequest.SearchModifiersAir.ClassOfServicePreference.PreferenceType` (string)
    Class of Service preference options.
    Enum: "Preferred", "Permitted", "Prohibited"

  - `CatalogOfferingsAirChangeRequest.SearchModifiersAir.ProductInclusionPreference` (array)

  - `CatalogOfferingsAirChangeRequest.SearchModifiersAir.ProductInclusionPreference.@type` (string)
    Discriminator. No child classes exist
    Example: "ProductInclusionPreference"

  - `CatalogOfferingsAirChangeRequest.SearchModifiersAir.ProductInclusionPreference.Classification` (array, required)
    Send one or more of the enumerated values to return only fares that include those attributes in the price. For example, sending CarryOn returns only fares that include a carry-on bag in the price.
    Enum: "CheckedBag", "CarryOn", "PersonalItem", "Rebooking", "Refund", "SeatAssignment", "PremiumSeat", "LieFlatSeat", "Meals", "WiFi", "Other"

  - `CatalogOfferingsAirChangeRequest.SearchModifiersAir.ProductInclusionPreference.AdditionalClassification` (array)
    Currently unused. Only items enumerated in BrandClassificationENUM are currently supported. Any additional items sent are ignored and the lowest fares are returned regardless of associated brand attributes.
    Example: ["PremiumDrinks"]

  - `CatalogOfferingsAirChangeRequest.SearchModifiersAir.ProductInclusionPreference.legSequence` (array)
    Leg sequence is not supported for ProductInclusionPreference. Preference will be applied to the whole journey.
    Example: [1,2]

  - `CatalogOfferingsAirChangeRequest.SearchModifiersAir.ProductInclusionPreference.exactMatchInd` (boolean)
    Will not implement. The default behavior will be to provide an exact match to the product inclusion preferences.
    Example: true

  - `CatalogOfferingsAirChangeRequest.SearchModifiersAir.ProductInclusionPreference.bestMatchInd` (boolean)
    Will not implement. The default behavior will be to provide an exact match to the product inclusion preferences.
    Example: true

  - `CatalogOfferingsAirChangeRequest.SearchModifiersAir.ConnectionPreferences` (array)

  - `CatalogOfferingsAirChangeRequest.SearchModifiersAir.ConnectionPreferences.@type` (string)
    Discriminator classes ConnectionPreferences or ConnectionPreferencesAir. Must send “ConnectionPreferencesAir” when sending FlightType. If the @type value is not sent, FlightType is ignored for GDS; for NDC, a time out error is returned.

  - `CatalogOfferingsAirChangeRequest.SearchModifiersAir.ConnectionPreferences.legSequence` (array)
    Applies preference to only specific leg/s of the itinerary referencing legSequence sent in SearchCriteriaFlight. Do not send for preference at itinerary level.
    Example: [1,2,4]

  - `CatalogOfferingsAirChangeRequest.SearchModifiersAir.ConnectionPreferences.maxConnectionDuration` (string)
    Limits results to itineraries that do not exceed a set length of time between flights on the same leg. Applies to all connections on the itinerary. Use the format PT{x}H, in which P is the duration designator, T is the time designator, and {x}H is the number of hours the connection should not exceed . For minutes use {x}H{x}M. GDS only, not supported for NDC.
    Example: "PT3H30M"

  - `CatalogOfferingsAirChangeRequest.SearchModifiersAir.ConnectionPreferences.maxOvernightDuration` (string)
    Limits results to itineraries that do not exceed a set length of time for any overnight connection. If the first flight in the connection arrives on one calendar date and the connecting flight arrives on another calendar date, this constitutes an overnight connection. Use the format PT{x}H, in which P is the duration designator, T is the time designator, and {x}H is the number of hours the connection should not exceed. For minutes use {x}H{x}M. GDS only, not supported for NDC.
    Example: "PT6H30M"

  - `CatalogOfferingsAirChangeRequest.SearchModifiersAir.ConnectionPreferences.preferenceType` (string, required)
    The type of connection preference. Only one preference type can be requested for an O&D pair.
    Enum: "Preferred", "Permitted", "Prohibited"

  - `CatalogOfferingsAirChangeRequest.SearchModifiersAir.ConnectionPreferences.ConnectionPoint` (array, required)
    IATA code for the connecting location/s for this preference. For example, if you specify three locations, any flights connecting in any one of those locations will be permitted/preferred/prohibited per the specified preferenceType.

  - `CatalogOfferingsAirChangeRequest.SearchModifiersAir.ConnectionPreferences.cityOrAirport` (string)
    Optional enumeration specifying whether to restrict the search based on the city/airport code sent in From/value. Possible options and behavior are as follows. These behaviors are for availability selection only. Actual content may vary based on calculated price and diversity. Not all NDC carriers may support all options. Airport code with no cityOrAirport value expands the availability selection to the city while giving preference to the requested airport. For example, LGA would return flights for LGA, EWR, and JFK but would target more content from LGA. City code with no cityOrAirport value returns an unweighted selection of inventory for all airports in the city. For example, NYC would search content equally between LGA, EWR, and JFK. This behavior also applies to: city code with Airport Only, City code with City Only, City or airport code with City or Airport. Airport code with cityOrAirport value Airport Only returns content only from the specified airport. For example, LGA will return content from only LGA. Airport code with cityOrAirport value City expands the availability selection to the city without giving preference to the requested airport. This behavior is equivalent to searching with the airport's city code. For example, LGA would instead be treated as NYC and would return flights for LGA, EWR, and JFK with no preference.
    Enum: "Airport Only", "City or Airport", "City Only", "Use Default"

  - `CatalogOfferingsAirChangeRequest.SearchModifiersAir.ConnectionPreferences.FlightType` (object)
    The type of flight connection

  - `CatalogOfferingsAirChangeRequest.SearchModifiersAir.ConnectionPreferences.FlightType.@type` (string, required)
    Discriminator. No child classes.
    Example: "FlightType"

  - `CatalogOfferingsAirChangeRequest.SearchModifiersAir.ConnectionPreferences.FlightType.connectionType` (string)
    Limits the connection type returned. Each value returns the specified type and all higher types. For example, StopDirect could return both flights that stop without a change of planes (StopDirect) and non-stop direct flights (NonStopDirect). SingleConnection or DoubleConnection will not exclude StopDirect flights from the journey. For example, SingleConnection could return an itinerary with two flight numbers, and either of these flights could have intermediate stops.
    Enum: "NonStopDirect", "StopDirect", "SingleConnection", "DoubleConnection", "TripleConnection"

  - `CatalogOfferingsAirChangeRequest.SearchModifiersAir.ConnectionPreferences.FlightType.excludeInterlineConnectionsInd` (boolean)
    Excludes interline connectionsClosed from results. If true, does not return offers with interline connections. If false or omitted, may return interline connections in results. Default is false. GDS only, not supported for NDC. When a product contains multiple interline air segments, brand details return only the brand of the significant carrier, not the validating/plating carrier brand information. The IATA rules for determining the significant carrier on an itinerary are based on the areas in which the transportation takes place.
    Example: true

  - `CatalogOfferingsAirChangeRequest.SearchModifiersAir.prohibitChangeOfAirportInd` (boolean)
    Suppresses return of offers that require a change of airport at connection. If true, excludes itineraries that require changing airports during connections. If false or omitted, may return itineraries that require change of airport. Default is false.
    Example: true

  - `CatalogOfferingsAirChangeRequest.PricingModifiersAirChange` (object)
    Pricing Modifiers that can be used to influence the Price of an Exchanged Offer

  - `CatalogOfferingsAirChangeRequest.PricingModifiersAirChange.@type` (string)
    Example: "PricingModifiersAirChange"

  - `CatalogOfferingsAirChangeRequest.PricingModifiersAirChange.currencyCode` (string)
    ISO 4217 currency code
    Example: "USD"

  - `CatalogOfferingsAirChangeRequest.PricingModifiersAirChange.FareSelection` (object)
    May include FareSelectionDetail, RefundOptions, ChangeOptions objects.

  - `CatalogOfferingsAirChangeRequest.PricingModifiersAirChange.FareSelection.@type` (string, required)
    Discriminator. Child class FareSelectionDetail.
    Example: "FareSelection"

  - `CatalogOfferingsAirChangeRequest.PricingModifiersAirChange.FareSelection.fareType` (string)
    Defines the type of fares to return (Only public fares, Only private fares, Only agency private fares, Only
    Enum: "PublicFaresOnly", "PrivateFaresOnly", "AgencyPrivateFaresOnly", "AirlinePrivateFaresOnly", "PublicAndPrivateFares", "NetFaresOnly", "AllFares"

  - `CatalogOfferingsAirChangeRequest.PricingModifiersAirChange.FareSelection.RefundOptions` (object)
    Supports requesting only fares that meet certain refund criteria. GDS only; not supported for NDC. Search supports sending up to 12 refundability options. The following combinations are mutually exclusive; if sent, Search ignores them and returns a warning message: NonRefundable cannot also be sent with PartialRefund. Refundable cannot also be sent with ChangeOptions/changeTypes=PenaltyToChange

  - `CatalogOfferingsAirChangeRequest.PricingModifiersAirChange.FareSelection.RefundOptions.@type` (string, required)
    Discriminator. No child classes.
    Example: "RefundOptions"

  - `CatalogOfferingsAirChangeRequest.PricingModifiersAirChange.FareSelection.RefundOptions.refundTypes` (array, required)
    Enum: "Refundable", "NonRefundable", "PartialRefund"

  - `CatalogOfferingsAirChangeRequest.PricingModifiersAirChange.FareSelection.RefundOptions.RefundPenaltyRange` (object)
    Not currently supported. User can express a minimum and maximum Refund penalty range that will be included in the result set.

  - `CatalogOfferingsAirChangeRequest.PricingModifiersAirChange.FareSelection.RefundOptions.RefundPenaltyRange.@type` (string)
    Example: "RefundPenaltyRange"

  - `CatalogOfferingsAirChangeRequest.PricingModifiersAirChange.FareSelection.RefundOptions.RefundPenaltyRange.Minimum` (object)
    Parent object when amount is applied as an Amount or a Percent.

  - `CatalogOfferingsAirChangeRequest.PricingModifiersAirChange.FareSelection.RefundOptions.RefundPenaltyRange.Minimum.@type` (string, required)
    Discriminator classes AmountPercentAmount or AmountPercentPercent
    Example: "AmountPercentAmount"

  - `CatalogOfferingsAirChangeRequest.PricingModifiersAirChange.FareSelection.RefundOptions.RefundPenaltyRange.Minimum.application` (string)
    Type of commission
    Enum: "Full", "Partial", "Non-paying", "No-show", "Adjustment", "Commissionable"

  - `CatalogOfferingsAirChangeRequest.PricingModifiersAirChange.FareSelection.RefundOptions.RefundPenaltyRange.Maximum` (object)
    Parent object when amount is applied as an Amount or a Percent.

  - `CatalogOfferingsAirChangeRequest.PricingModifiersAirChange.FareSelection.ChangeOptions` (object)
    Supports requesting only fares that meet certain change criteria. GDS only; not supported for NDC. Search supports sending up to 12 changeability options. ChangeOptions.changeTypes=PenaltyToChange cannot be sent with RefundOptions.Refundable. If sent, Search ignores them and returns a warning message

  - `CatalogOfferingsAirChangeRequest.PricingModifiersAirChange.FareSelection.ChangeOptions.@type` (string)
    Discriminator. No child classes.
    Example: "ChangeOptions"

  - `CatalogOfferingsAirChangeRequest.PricingModifiersAirChange.FareSelection.ChangeOptions.changeTypes` (array, required)
    Enum: "Changeable", "NonChangeable", "PenaltyToChange"

  - `CatalogOfferingsAirChangeRequest.PricingModifiersAirChange.FareSelection.ChangeOptions.ChangePenaltyRange` (object)
    Not currently supported. User can express a minimum and maximum Change penalty range that will be included in the result set

  - `CatalogOfferingsAirChangeRequest.PricingModifiersAirChange.FareSelection.ChangeOptions.ChangePenaltyRange.@type` (string)
    Example: "ChangePenaltyRange"

  - `CatalogOfferingsAirChangeRequest.PricingModifiersAirChange.FareSelection.ChangeOptions.ChangePenaltyRange.Minimum` (object)
    Parent object when amount is applied as an Amount or a Percent.

  - `CatalogOfferingsAirChangeRequest.PricingModifiersAirChange.FareSelection.ChangeOptions.ChangePenaltyRange.Maximum` (object)
    Parent object when amount is applied as an Amount or a Percent.

  - `CatalogOfferingsAirChangeRequest.PricingModifiersAirChange.FareSelection.FareQualiferString` (array)
    Request specific private leisure fares. Supported values vary by NDC carrier. For detailed NDC support by carrier, see the Knowledge Base article NDC capabilities by airline through JSON API in the guide section. This value is returned in FlightProduct.FareQualifierString if supplied by the airline. (Note the misspelling in request parameter)
    Example: ["Tour"]

  - `CatalogOfferingsAirChangeRequest.PricingModifiersAirChange.FareSelection.FareQualifier` (array)

  - `CatalogOfferingsAirChangeRequest.PricingModifiersAirChange.FareSelection.FareQualifier.value` (string)
    Deprecated - do not use. Replaced by FareQualiferString
    Enum: "Consolidator", "Government", "Marine", "Military", "Reward", "StandBy", "Staff", "Student", "Tour", "Youth", "VistFriendsAndRelatives"

  - `CatalogOfferingsAirChangeRequest.PricingModifiersAirChange.OrganizationInformation` (object)
    In search API sends account code/s to request negotiated fares. For NDC supports corporate loyalty program and GST Information. This information is returned in TermsAndConditions.OrganizationInformation.

  - `CatalogOfferingsAirChangeRequest.PricingModifiersAirChange.OrganizationInformation.@type` (string, required)
    Discriminator. No child classes
    Example: "OrganizationInformation"

  - `CatalogOfferingsAirChangeRequest.PricingModifiersAirChange.OrganizationInformation.OrganizationIdentifier` (array)

  - `CatalogOfferingsAirChangeRequest.PricingModifiersAirChange.OrganizationInformation.OrganizationIdentifier.value` (string)
    The value of the code type.
    Example: "JBD123456"

  - `CatalogOfferingsAirChangeRequest.PricingModifiersAirChange.OrganizationInformation.OrganizationIdentifier.supplier` (string)
    The IATA code for the airline on which the code type is applicable.
    Example: "AA"

  - `CatalogOfferingsAirChangeRequest.PricingModifiersAirChange.OrganizationInformation.OrganizationIdentifier.organizationCodeType` (string)
    Sends a description for the OrganizationIdentifer value
    Enum: "Account", "OrganizationLoyaltyProgram", "Tour", "TicketDesignator"

  - `CatalogOfferingsAirChangeRequest.PricingModifiersAirChange.OrganizationInformation.OrganizationIdentifier.segmentSequenceList` (array)
    Returned in response when the code is applicable to a specified segment sequence
    Example: [1,2,3]

  - `CatalogOfferingsAirChangeRequest.PricingModifiersAirChange.OrganizationInformation.OrganizationIdentifier.productRef` (array)
    Returned in response when the code is applicable to a specified product
    Example: ["product_1"]

  - `CatalogOfferingsAirChangeRequest.PricingModifiersAirChange.OrganizationInformation.OrganizationIdentifier.accountCodeFaresOnlyInd` (boolean)
    Indicator to limit the fares returned to only fares filed for the specified account code. If true, returns only fares filed for the account code/s in OrganizationIdentifier/value. If sending multiple account codes, send with each instance of OrganizationIdentifier. If false or omitted, returns account fares and other fares. Default is false. If an account code is sent without accountCodeFaresOnlyInd=true, the response includes any fares filed for that account code plus fares that are not specific to the account code. If accountCodeFaresOnlyInd=true and no account code is sent, the indicator is ignored and the response returns all fares and a warning message that the request must include an account code. GDS only; not supported for NDC.
    Example: true

  - `CatalogOfferingsAirChangeRequest.PricingModifiersAirChange.OrganizationInformation.GSTRegistrationNumber` (array)
    NDC only. Supported during book 'Add Offer' workflow.

  - `CatalogOfferingsAirChangeRequest.PricingModifiersAirChange.OrganizationInformation.GSTRegistrationNumber.value` (string, required)
    The GST registered number for the business.
    Example: "07AAGFF2194N1Z1"

  - `CatalogOfferingsAirChangeRequest.PricingModifiersAirChange.OrganizationInformation.GSTRegistrationNumber.telephone` (string, required)
    Business telephone number
    Example: "222-222-222"

  - `CatalogOfferingsAirChangeRequest.PricingModifiersAirChange.OrganizationInformation.GSTRegistrationNumber.address` (string, required)
    Business address
    Example: "1122 sample trail, CO, USA, 21232"

  - `CatalogOfferingsAirChangeRequest.PricingModifiersAirChange.OrganizationInformation.GSTRegistrationNumber.country` (string, required)
    IATA country code of the business.
    Example: "IND"

  - `CatalogOfferingsAirChangeRequest.PricingModifiersAirChange.OrganizationInformation.GSTRegistrationNumber.companyName` (string, required)
    Business name
    Example: "Adecco"

  - `CatalogOfferingsAirChangeRequest.PricingModifiersAirChange.OrganizationInformation.GSTRegistrationNumber.email` (string, required)
    Business E-Mail
    Example: "sample@adecco.com"

  - `CatalogOfferingsAirChangeRequest.PricingModifiersAirChange.WaiverCode` (object)
    A code assigned by an airline to support waiver of fees or ticket value as a result of disruption to the passenger.

  - `CatalogOfferingsAirChangeRequest.PricingModifiersAirChange.WaiverCode.value` (string)

  - `CatalogOfferingsAirChangeRequest.PricingModifiersAirChange.WaiverCode.reasonCode` (integer)
    A code assigned to identify the reason for disruption
    Example: 2

  - `CatalogOfferingsAirChangeRequest.PricingModifiersAirChange.WaiverCode.waiverType` (string)
    List of waiver types.
    Enum: "ChangePenalty", "PriceDifference", "ChangePenaltyAndPriceDifference", "RefundPenalty", "NameChangePenalty"

  - `CatalogOfferingsAirChangeRequest.PricingModifiersAirChange.TaxExemption` (object)
    GDS only, not supported for NDC. Marks as tax exempt either all taxes, only specific tax codes, or all taxes in specific countries. Send either allTaxesExemptInd OR countries and taxCodes per below. TaxExemption supports up to nine values for countries, for taxCodes, or for countries and taxCodes combined. The response returns any exempt taxes with exemptInd=true and a zero value.

  - `CatalogOfferingsAirChangeRequest.PricingModifiersAirChange.TaxExemption.@type` (string)
    Discriminator. No child classes.
    Example: "TaxExemption"

  - `CatalogOfferingsAirChangeRequest.PricingModifiersAirChange.TaxExemption.countries` (array)
    ISO country code. One or more two-letter alphanumeric codes for the countries in which the taxCodes sent are tax exempt.
    Example: ["GB","MX"]

  - `CatalogOfferingsAirChangeRequest.PricingModifiersAirChange.TaxExemption.taxCodes` (array)
    One or more two-letter alphanumeric tax codes to mark as exempt.
    Example: ["US"]

  - `CatalogOfferingsAirChangeRequest.PricingModifiersAirChange.TaxExemption.allTaxesExemptInd` (boolean)
    Marks all taxes as exempt. If true, marks all taxes in the response as exempt. Do not send if false; instead, use countries and taxCodes to specify which taxes to exempt.
    Example: true

  - `CatalogOfferingsAirChangeRequest.PricingModifiersAirChange.PromotionalCode` (object)
    NDC only. Not supported for GDS. Any NDC airline designated promotional code.

  - `CatalogOfferingsAirChangeRequest.PricingModifiersAirChange.PromotionalCode.value` (string)
    The promotional code to apply
    Example: "CDFRT"

  - `CatalogOfferingsAirChangeRequest.PricingModifiersAirChange.PromotionalCode.supplierCode` (string, required)
    The IATA code for the airline on which the promotional code is applicable.
    Example: "AA"

  - `CatalogOfferingsAirChangeRequest.PricingModifiersAirChange.SellCity` (string)
    Overrides the sell city of the requestor
    Example: "MEX"

  - `CatalogOfferingsAirChangeRequest.PricingModifiersAirChange.TicketCity` (string)
    Overrides the ticket city of the requestor
    Example: "MEX"

  - `CatalogOfferingsAirChangeRequest.PricingModifiersAirChange.PricingPCC` (string)
    Overrides the pricing PCC of the requestor
    Example: "0XS4"

  - `CatalogOfferingsAirChangeRequest.PricingModifiersAirChange.TicketingPCC` (string)
    Overrides the ticketing PCC of the requestor
    Example: "0XCD"

  - `CatalogOfferingsAirChangeRequest.PricingModifiersAirChange.CalculatedFareAdjustment` (object)
    Used in Exchange Search to modify the Price of the Fare. Discriminator classes CalculatedFareAdjustmentDiscount or CalculatedFareAdjustmentIncrease

  - `CatalogOfferingsAirChangeRequest.PricingModifiersAirChange.CalculatedFareAdjustment.@type` (string, required)
    Example: "CalculatedFareAdjustmentDiscount"

  - `CatalogOfferingsAirChangeRequest.PricingModifiersAirChange.BrandPreference` (array)

  - `CatalogOfferingsAirChangeRequest.PricingModifiersAirChange.BrandPreference.@type` (string, required)
    Discriminator. No child classes exist
    Example: "BrandPreference"

  - `CatalogOfferingsAirChangeRequest.PricingModifiersAirChange.BrandPreference.brandTier` (integer)
    The brand tier you want to override
    Example: 1

  - `CatalogOfferingsAirChangeRequest.PricingModifiersAirChange.BrandPreference.legSequence` (array)
    Correlates with legSequence in SearchCriteriaFlight
    Example: [1,2]

  - `CatalogOfferingsAirChangeRequest.PricingModifiersAirChange.keepToBrandInd` (boolean)
    If true, the offerings returned will be of the same brand as the original Offer
    Example: true

  - `CatalogOfferingsAirChangeRequest.PricingModifiersAirChange.returnMostRestrictiveBrandInd` (boolean)
    if true, the most restrictive brand will be returned in the response when there are different brands present in the Offering
    Example: true

  - `CatalogOfferingsAirChangeRequest.PricingModifiersAirChange.doNotNetInd` (boolean)
    If true, this exchange will not net any residual/refundable amounts against due amounts.

  - `CatalogOfferingsAirChangeRequest.SearchControlConsoleChannelID` (object)
    The Search API supports the Travelport Content Optimizer (formerly known as Search Control Console/SCC) for GDS content only. Send either the value or the sccType. If both values are sent, the sccType is applied. Travel agency administrators use Content Optimizer to create business rules for filtering certain air shopping results. If your client's application does not use Content Optimizer, do not use these attributes. Contact your Travelport representative if you would like additional information.

  - `CatalogOfferingsAirChangeRequest.SearchControlConsoleChannelID.value` (string)
    String for the Content Optimizer channel ID.
    Example: "IBM"

  - `CatalogOfferingsAirChangeRequest.SearchControlConsoleChannelID.sccType` (string)
    String for the Content Optimizer type.
    Example: "999"

  - `CatalogOfferingsAirChangeRequest.CustomResponseModifiersAir` (object)
    Modifiers to customize the result set. Includes SearchRepresentation and optional indicators for returning or excluding selected response content. Values sent here can carry forward into the Next Leg Search request and are not re-sent.

  - `CatalogOfferingsAirChangeRequest.CustomResponseModifiersAir.@type` (string, required)
    discriminator
    Example: "CustomResponseModifiersAir"

  - `CatalogOfferingsAirChangeRequest.CustomResponseModifiersAir.BrandAttributeInclusion` (array)
    Supported in Search and Price.

  - `CatalogOfferingsAirChangeRequest.CustomResponseModifiersAir.BrandAttributeInclusion.@type` (string)
    Example: "BrandAttributeInclusion"

  - `CatalogOfferingsAirChangeRequest.CustomResponseModifiersAir.BrandAttributeInclusion.Classification` (array)
    Send one or more of the following values to return information about only the specified attributes. Fares may include other attributes but information about them is not returned
    Enum: "CheckedBag", "CarryOn", "PersonalItem", "Rebooking", "Refund", "SeatAssignment", "PremiumSeat", "LieFlatSeat", "Meals", "WiFi", "Other"

  - `CatalogOfferingsAirChangeRequest.CustomResponseModifiersAir.BrandAttributeInclusion.AdditionalClassification` (array)
    Send one or more of the following values to return information about only the specified additional attributes. Supported values ChauffeurTransfer, ExtraLegroom, InFlightEntertainment, LoungeAccess, PriorityBaggage, PriorityBoarding, PriorityCheckIn, PrioritySecurity, PriorityServices, MileageAccrual, Upgrades, USB.

  - `CatalogOfferingsAirChangeRequest.CustomResponseModifiersAir.BrandAttributeInclusion.legSequence` (array)
    Leg sequence not supported for BrandAttributeInclusion.
    Example: [1,2]

  - `CatalogOfferingsAirChangeRequest.CustomResponseModifiersAir.SearchRepresentation` (string)
    Specifies either a journey or leg-based response. Journey returns offers for all legs of the itinerary. Journey is the default. Leg returns offers for only the first leg of the itinerary. Must be followed with a Next Leg Search to select an offer for the first leg and return offers on the subsequent leg to combine with it.Customize search result set as leg or journey based. Next Leg Search requests, and Flight Specific Search requests for less than the full itinerary, are supported only after a leg-based Search, not a journey-based Search. If these requests follow a journey-based Search request, an error message is returned.
    Enum: "Leg", "Journey", "LegWithJourneyData"

  - `CatalogOfferingsAirChangeRequest.CustomResponseModifiersAir.excludePenaltiesInd` (boolean)
    Indicator to omit change and cancel penalties. If true, omits all penalty information from the response. If false or omitted returns any change and penalty details provided by carrier for each offer in TermsAndConditionsFullAir/Penalties. Default is false. GDS only; not supported for NDC. excludePenaltiesInd can also be sent in the AirPrice request. If sent in Search but not in AirPrice, the value sent in Search is cached and applied to the AirPrice results. However, you can override the value sent in Search by sending excludePenaltiesInd in the AirPrice request with the opposite value. For example, if the Search request sends excludePenaltiesInd=true and the AirPrice request sends excludePenaltiesInd=false, the Search response does not return penalties and the AirPrice response does return penalties.If true, Penalties will be excluded from the response.
    Example: true

  - `CatalogOfferingsAirChangeRequest.CustomResponseModifiersAir.excludeBaggageFeesInd` (boolean)
    Indicator to exclude baggage details. If true, excludes baggage fees, carry on fees, and embargo information from the response. Baggage quantity or weight is returned instead. If false or omitted, baggage details returned in response. Default is false. GDS only; not supported for NDC.
    Example: true

  - `CatalogOfferingsAirChangeRequest.CustomResponseModifiersAir.includeFareCalculationInd` (boolean)
    Indicator to request the return of the fare calculation ladder. If true, returns the fare calculation ladder in BestCombinablePrice.PriceBreakdownAir.FareCalculation. If false or omitted, fare calculation ladder is not returned. Default is false. GDS only; not supported for NDC or in the Flight Specific Search full payload request.
    Example: true

  - `CatalogOfferingsAirChangeRequest.CustomResponseModifiersAir.excludeSurchargesInd` (boolean)
    Indicator to exclude a surcharge breakdown. If true, excludes a surcharge breakdown from the response. Baggage quantity or kilos is returned instead. If false or omitted, surcharge breakdown returned in response. Default is false. GDS only; not supported for NDC.
    Example: true

  - `CatalogOfferingsAirChangeRequest.CustomResponseModifiersAir.excludeUnbundledFaresInd` (boolean)
    Supported in Search and Price. Sets whether to return unbundled fares. If true, does not return unbundled fares. If false or omitted, returns unbundled and bundled fares as available. Default is false. GDS only, not supported for NDC.If true, unbundled fares will not be returned in the response
    Example: true

  - `CatalogOfferingsAirChangeRequest.CustomResponseModifiersAir.includeCO2EmissionsDataInd` (boolean)
    Indicator to return CO2 emission data in the Search and Next Leg Search responses. If true, returns CO2 emission data. If false or omitted CO2 emission data not returned. Default is false.
    Example: true

  - `CatalogOfferingsAirChangeRequest.CustomResponseModifiersAir.includeFlightAmenitiesInd` (boolean)
    Indicator to return flight amenities from ATPCO RouteHappy data. If true, includes amenities in the response if available. If false or omitted, amenities are not returned in response. Default is false.
    Example: true

  - `CatalogOfferingsAirChangeRequest.CustomResponseModifiersAir.includeUniversalProductAttributesInd` (boolean)
    Indicator to return universal product attributes (UPAs), which include images, icons, and URLs as provided by ATPCO. Must also send includeFlightAmenitiesInd=true. If true, returns universal product attributes if available. If false or omitted, Universal product attributes not returned. Default is false. UPAs are not returned for direct flights with intermediate stops, non-flight segments such as trains, or for Premium Business class.
    Example: true

  - `CatalogOfferingsAirChangeRequest.CustomResponseModifiersAir.includeBundledAncillariesInd` (boolean)
    NDC only. If true, the search and price response will include bundled air and ancillary offerings/offers. Search and Price response will contain both ProductAir and ProductAncillary plus a new child class of PriceBreakdown: PriceBreakdownAncillaryAir to define the ancillary inclusion and pricing.
    Example: true

  - `CatalogOfferingsAirChangeRequest.CustomResponseModifiersAir.includeFullPenaltyDisclosureInd` (boolean)
    If true, penalty information sourced from ATPCO Cat 31 and 33 will be disclosed. Penalties may be exposed at fare component level and include time windows.

  - `CatalogOfferingsAirChangeRequest.returnBrandedFaresInd` (boolean)
    Example: true

  - `CatalogOfferingsAirChangeRequest.upsellInd` (boolean)
    Example: true

  - `CatalogOfferingsAirChangeRequest.detailViewInd` (boolean)
    Example: true

  - `CatalogOfferingsAirChangeRequest.BuildFromReservationWorkbench` (object, required)

  - `CatalogOfferingsAirChangeRequest.BuildFromReservationWorkbench.@type` (string, required)
    Discriminator.
    Example: "BuildFromReservationWorkbench"

  - `CatalogOfferingsAirChangeRequest.BuildFromReservationWorkbench.ReservationIdentifier` (object)
    Reservation Identifier object.

  - `CatalogOfferingsAirChangeRequest.BuildFromReservationWorkbench.ReservationIdentifier.id` (string)
    Internal ID

  - `CatalogOfferingsAirChangeRequest.BuildFromReservationWorkbench.ReservationIdentifier.Identifier` (object)
    A globally unique identifier key often used to reference a given option (such as Pricing, Booking, Rules, or additional workflows) or to retrieve information (such as Hotel pagination).

  - `CatalogOfferingsAirChangeRequest.BuildFromReservationWorkbench.ReservationIdentifier.Identifier.value` (string)
    "Unique offer identifier that can be sent in subsequent payload requests to reference this offer.
When used specifically for form of payment, the value will begin with the characters 'FOP'. Similarly, the OfferIdentifier associated will begin with the character 'O'.
For Hotel Create Reservation (Reference Payload), send the value from the Availability response in CatalogOffering/id or the value from SearchComplete returned in propertyItems/lowestPublicAvailableRate/rateKey/value. 
Results from Availability and SearchComplete are stored in the cache for 30 minutes. If the offers expire before booking, you must send a new request."
    Example: "A0656EFF-FAF4-456F-B061-0161008D7C4E"

  - `CatalogOfferingsAirChangeRequest.BuildFromReservationWorkbench.ReservationIdentifier.Identifier.authority` (string)
    "Name of the supplier system that created this identifier. 
For Hotels, authority indicates which supplier returned the lowest available rate for that property: either TVPT (Travelport) or BKNG (booking.com). Booking.com access requires additional provisioning and a direct agreement with the supplier. Authority is not returned if the property is closed or returns an error.
For Hotel Create Reservation (Full Payload) and Sync Reservation send the value from the Availability response in CatalogOffering/Identifier/authority for the instance you want to book."
    Example: "TVPT"

  - `CatalogOfferingsAirChangeRequest.BuildFromReservationWorkbench.ReservationIdentifier.IdentifierType` (string)
    Enum: "Reservation", "Locator", "SupplierLocator", "DocumentNumber"

  - `CatalogOfferingsAirChangeRequest.BuildFromReservationWorkbench.ReservationIdentifier.@type` (string)
    Example: "Reservation"

  - `CatalogOfferingsAirChangeRequest.BuildFromReservationWorkbench.OfferIdentifier` (object)
    Travelport-generated offer identifier number.

  - `CatalogOfferingsAirChangeRequest.BuildFromReservationWorkbench.OfferIdentifier.id` (string)
    Local identifier within a given message for this object.
    Example: "offer_1"

  - `CatalogOfferingsAirChangeRequest.BuildFromReservationWorkbench.OfferIdentifier.offerRef` (string)
    Used to reference another instance of this object in the same message
    Example: "offer_1"

  - `CatalogOfferingsAirChangeRequest.BuildFromReservationWorkbench.OfferIdentifier.Identifier` (object)
    A globally unique identifier key often used to reference a given option (such as Pricing, Booking, Rules, or additional workflows) or to retrieve information (such as Hotel pagination).

  - `CatalogOfferingsAirChangeRequest.BuildFromReservationWorkbench.ProductIdentifier` (array)

  - `CatalogOfferingsAirChangeRequest.BuildFromReservationWorkbench.ProductIdentifier.id` (string)
    Local identifier within a given message for this object.
    Example: "product_1"

  - `CatalogOfferingsAirChangeRequest.BuildFromReservationWorkbench.ProductIdentifier.productRef` (string)
    Used to reference another instance of this object in the same payload.
    Example: "product_1"

  - `CatalogOfferingsAirChangeRequest.BuildFromReservationWorkbench.ProductIdentifier.Identifier` (object)
    In next leg search Value from CatalogProductOffering/ProductBrandOptions/ProductBrandOffering/Product/productRef in the Search response for the product to select for the first leg of the itinerary. When sending a second Next Leg Search request in a multi-city search, this value should be the offer for the second leg of the itinerary, and so on for additional O&D pairs.

  - `CatalogOfferingsAirChangeRequest.BuildFromReservationWorkbench.ProductIdentifier.Identifier.value` (string)
    "Unique offer identifier that can be sent in subsequent payload requests to reference this offer.
When used specifically for form of payment, the value will begin with the characters 'FOP'. Similarly, the OfferIdentifier associated will begin with the character 'O'.
For Hotel Create Reservation (Reference Payload), send the value from the Availability response in CatalogOffering/id or the value from SearchComplete returned in propertyItems/lowestPublicAvailableRate/rateKey/value. 
Results from Availability and SearchComplete are stored in the cache for 30 minutes. If the offers expire before booking, you must send a new request."
    Example: "A0656EFF-FAF4-456F-B061-0161008D7C4E"

  - `CatalogOfferingsAirChangeRequest.BuildFromReservationWorkbench.ProductIdentifier.Identifier.authority` (string)
    "Name of the supplier system that created this identifier. 
For Hotels, authority indicates which supplier returned the lowest available rate for that property: either TVPT (Travelport) or BKNG (booking.com). Booking.com access requires additional provisioning and a direct agreement with the supplier. Authority is not returned if the property is closed or returns an error.
For Hotel Create Reservation (Full Payload) and Sync Reservation send the value from the Availability response in CatalogOffering/Identifier/authority for the instance you want to book."
    Example: "TVPT"

  - `CatalogOfferingsAirChangeRequest.BuildFromReservationWorkbench.SegmentSequenceList` (array)
    The segmentSequence within the product the action is being requested for. Used when multiple flights exist within a product. Only one product may be selected with this option.

  - `CatalogOfferingsAirChangeRequest.BuildFromReservationWorkbench.TravelerRefs` (array)
    A list of Traveler references.
    Example: ["traveler_1"]

## Response 200 fields (application/json):

  - `CatalogOfferingsAirChangeResponse` (object)
    The response of a Catalog offerings air change endpoint request.

  - `CatalogOfferingsAirChangeResponse.CatalogOfferings` (object)

  - `CatalogOfferingsAirChangeResponse.CatalogOfferings.@type` (string, required)
    Example: "CatalogOfferings"

  - `CatalogOfferingsAirChangeResponse.CatalogOfferings.id` (string)
    Local identifier within a given message for this object.
    Example: "CatalogOfferings_1"

  - `CatalogOfferingsAirChangeResponse.CatalogOfferings.Identifier` (object)
    A globally unique identifier key often used to reference a given option (such as Pricing, Booking, Rules, or additional workflows) or to retrieve information (such as Hotel pagination).

  - `CatalogOfferingsAirChangeResponse.CatalogOfferings.totalCatalogOffering` (integer)
    Total number of rates available for this request.

  - `CatalogOfferingsAirChangeResponse.CatalogOfferings.catalogOfferingPerPage` (integer)
    Total number of rates returned per page.

  - `CatalogOfferingsAirChangeResponse.CatalogOfferings.numberOfPages` (integer)
    Total number of pages created by this request.
    Example: 5

  - `CatalogOfferingsAirChangeResponse.CatalogOfferings.CatalogOffering` (array, required)

  - `CatalogOfferingsAirChangeResponse.CatalogOfferings.CatalogOffering.@type` (string, required)
    'Discriminator class for Hotel Availability is CatalogOfferingHospitality. 
Discriminator class for ExchangeSearch is CatalogOfferingModify.'
    Example: "CatalogOffering"

  - `CatalogOfferingsAirChangeResponse.CatalogOfferings.CatalogOffering.id` (string)
    "Unique offer identifier that can be sent in subsequent payload requests to reference this offer. 
For Hotel Availability, offers are cached for 30 minutes. If a Rules request or Reservation is not created within 30 minutes, a new Availability request must be sent."
    Example: "108c5875-c822-4d2e-bb9f-c96368100f4a:a709ffcdc1f681c5cf3f1d7da1a8ebfc"

  - `CatalogOfferingsAirChangeResponse.CatalogOfferings.CatalogOffering.CatalogOfferingRef` (string)
    Used to reference another instance of this object in the same message
    Example: "co1"

  - `CatalogOfferingsAirChangeResponse.CatalogOfferings.CatalogOffering.Identifier` (object)
    A globally unique identifier key often used to reference a given option (such as Pricing, Booking, Rules, or additional workflows) or to retrieve information (such as Hotel pagination).

  - `CatalogOfferingsAirChangeResponse.CatalogOfferings.CatalogOffering.ContentSource` (string)
    Indicates the owner the offer or document.
    Enum: "GDS", "NDC", "LCC", "API"

  - `CatalogOfferingsAirChangeResponse.CatalogOfferings.CatalogOffering.ProductOptions` (array, required)

  - `CatalogOfferingsAirChangeResponse.CatalogOfferings.CatalogOffering.ProductOptions.@type` (string, required)
    Discriminator classes ProductOptionsID and ProductOptions.
    Example: "ProductOptions"

  - `CatalogOfferingsAirChangeResponse.CatalogOfferings.CatalogOffering.ProductOptions.id` (string)
    Local identifier within a given message for this object.
    Example: "ProductOptions_1"

  - `CatalogOfferingsAirChangeResponse.CatalogOfferings.CatalogOffering.ProductOptions.Identifier` (object)
    A globally unique identifier key often used to reference a given option (such as Pricing, Booking, Rules, or additional workflows) or to retrieve information (such as Hotel pagination).

  - `CatalogOfferingsAirChangeResponse.CatalogOfferings.CatalogOffering.ProductOptions.ProductOptionsRef` (string)
    Used to reference another instance of this object in the same message
    Example: "ProductOptions_1"

  - `CatalogOfferingsAirChangeResponse.CatalogOfferings.CatalogOffering.ProductOptions.sequence` (integer)
    NonnegativeInteger
    Example: 1

  - `CatalogOfferingsAirChangeResponse.CatalogOfferings.CatalogOffering.ProductOptions.Product` (array, required)

  - `CatalogOfferingsAirChangeResponse.CatalogOfferings.CatalogOffering.ProductOptions.Product.@type` (string, required)
    Discriminator. Air Search child classes are ProductAir and ProductAncillary. Exchange Search child class is ProductAir. Ancillary Search is ProductAncillary. Seat Map child class isProductSeatAvailability. Air Price child classes are ProductAir and ProductAncillary. Hotel Availability child classes are ProductHospitality and ProductHospitalityOffer. Hotel Rules and HotelReservation child classes are ProductHospitality. All Vehicle APIs are ProductVehicle and ProductAncillaryVehicle. Reservation and Reservation Workbench child classes are ProductAir, ProductAncillary, ProductHospitality, ProductVehicle, and ProductAncillaryVehicle.
    Example: "ProductAir"

  - `CatalogOfferingsAirChangeResponse.CatalogOfferings.CatalogOffering.ProductOptions.Product.id` (string)
    Local id within a given message to support referencing this object.
    Example: "product_1"

  - `CatalogOfferingsAirChangeResponse.CatalogOfferings.CatalogOffering.ProductOptions.Product.productRef` (string)
    Reference id that corresponds to the product 'id' in ReferenceListProduct.Product. To find flight details for a product, use the ProductRef id to identify the product in ReferenceListProduct.Product, and use the Flight id's (e.g., s3, s4) to match to flight information in ReferenceListFlight.Flight.
    Example: "product_1"

  - `CatalogOfferingsAirChangeResponse.CatalogOfferings.CatalogOffering.ProductOptions.Product.Identifier` (object)
    A globally unique identifier key often used to reference a given option (such as Pricing, Booking, Rules, or additional workflows) or to retrieve information (such as Hotel pagination).

  - `CatalogOfferingsAirChangeResponse.CatalogOfferings.CatalogOffering.Price` (object, required)
    Child class of Price. This includes all of the Price object plus the Pricebreakdown which gives detailed Price information per PTC or Hotel offering.
For a Hotels Create Reservation (Full Payload) request, find the values to send in the Price objects from either Availability (returned in CatalogOffering/Price) or Rules (returned in Offer/Price). Although you can send the price returned in either API, the Rules pricing may be more accurate. If you sent a Rules request, send the value from that response. You must include CurrencyCode, Base, TotalTaxes, and TotalPrice. When returned from the previous steps, additionally send TermsAndConditionsFull, ProductRateCodeInfo, and RateCodeInfo.

  - `CatalogOfferingsAirChangeResponse.CatalogOfferings.CatalogOffering.Price.@type` (string, required)
    Discriminator classes Price or PriceDetail
    Example: "PriceDetail"

  - `CatalogOfferingsAirChangeResponse.CatalogOfferings.CatalogOffering.Price.id` (string)
    Internally referenced id
    Example: "2"

  - `CatalogOfferingsAirChangeResponse.CatalogOfferings.CatalogOffering.Price.CurrencyCode` (object)
    Currency codes are the three-letter alphabetic codes that represent the various currencies used throughout the world. 
For Hotel: SourceCurrency is based on the location of the hotel and used for all rates in the response. TargetCurrency is the currency code sent in the request in requestedCurrency.

  - `CatalogOfferingsAirChangeResponse.CatalogOfferings.CatalogOffering.Price.CurrencyCode.value` (string)
    An ISO 4217 currency code.
    Example: "USD"

  - `CatalogOfferingsAirChangeResponse.CatalogOfferings.CatalogOffering.Price.CurrencyCode.codeAuthority` (string)
    Currency code authority
    Example: "ISO 4217"

  - `CatalogOfferingsAirChangeResponse.CatalogOfferings.CatalogOffering.Price.CurrencyCode.decimalPlace` (integer)
    Number of decimal places for the currency.
    Example: 4

  - `CatalogOfferingsAirChangeResponse.CatalogOfferings.CatalogOffering.Price.CurrencyCode.decimalAuthority` (string)
    Currency code decimal authority
    Example: "ISO 4217"

  - `CatalogOfferingsAirChangeResponse.CatalogOfferings.CatalogOffering.Price.Base` (number)
    "Base price before taxes and fees. 
For Hotel, may not be returned by all suppliers."
    Example: 20.2

  - `CatalogOfferingsAirChangeResponse.CatalogOfferings.CatalogOffering.Price.TotalTaxes` (number)
    "Total taxes applied to the base price. 
For Hotel, may not be returned by all suppliers."
    Example: 34.4

  - `CatalogOfferingsAirChangeResponse.CatalogOfferings.CatalogOffering.Price.TotalFees` (number)
    Total fees included in Total Price.
    Example: 201

  - `CatalogOfferingsAirChangeResponse.CatalogOfferings.CatalogOffering.Price.TotalPrice` (number)
    Total price of this offer including the base price and all taxes and fees.
    Example: 34

  - `CatalogOfferingsAirChangeResponse.CatalogOfferings.CatalogOffering.Price.FlightPassCredits` (integer)
    The total number of flight pass credits consumed for this offer.
    Example: 2

  - `CatalogOfferingsAirChangeResponse.CatalogOfferings.CatalogOffering.Price.PriceBreakdown` (array)

  - `CatalogOfferingsAirChangeResponse.CatalogOfferings.CatalogOffering.Price.PriceBreakdown.@type` (string, required)
    Discriminator. Air Search and Air Price APIs child classes are PriceBreakdownAir and PriceBreakdownAncillary.Search Ancillaries and Seat Availabilities child classes are PriceBreakdown, PriceBreakdownAncillary, and PriceBreakdownAncillaryAir. All Hotel API child classes are PriceBreakdownHospitality.Vehicle API child classes are PriceBreakdownVehicleCharges, PriceBreakdownVehicleDeposit, PriceBreakdownVehiclePrice, and PriceBreakdownAncillaryVehicle. Reservation and Reservation Workbench APIs are PriceBreakdownAir, PriceBreakdownAncillary, PriceBreakdownHospitality, PriceBreakdownVehicleCharges, PriceBreakdownVehicleDeposit, PriceBreakdownVehiclePrice, and PriceBreakdownAncillaryVehicle.
    Example: "PriceBreakdownAir"

  - `CatalogOfferingsAirChangeResponse.CatalogOfferings.CatalogOffering.Price.PriceBreakdown.Amount` (object)
    Amount represents the cost applied

  - `CatalogOfferingsAirChangeResponse.CatalogOfferings.CatalogOffering.Price.PriceBreakdown.Amount.@type` (string)

  - `CatalogOfferingsAirChangeResponse.CatalogOfferings.CatalogOffering.Price.PriceBreakdown.Amount.currencySource` (string)
    The system requesting or returning the currency code specified in the attribute
    Enum: "Supplier", "Charged", "Requested"

  - `CatalogOfferingsAirChangeResponse.CatalogOfferings.CatalogOffering.Price.PriceBreakdown.Amount.CurrencyCode` (object)
    Currency codes are the three-letter alphabetic codes that represent the various currencies used throughout the world. 
For Hotel: SourceCurrency is based on the location of the hotel and used for all rates in the response. TargetCurrency is the currency code sent in the request in requestedCurrency.

  - `CatalogOfferingsAirChangeResponse.CatalogOfferings.CatalogOffering.Price.PriceBreakdown.Amount.Base` (number)
    The base price prior to all applicable taxes or fees of a product, such as the amount for a room or fare for a flight.
    Example: 120.2

  - `CatalogOfferingsAirChangeResponse.CatalogOfferings.CatalogOffering.Price.PriceBreakdown.Amount.Taxes` (object)
    Summary of all individual taxes. Child class TaxesDetail provides the breakdown of individual taxes.

  - `CatalogOfferingsAirChangeResponse.CatalogOfferings.CatalogOffering.Price.PriceBreakdown.Amount.Fees` (object)
    Includes TotalFees object to return the sum total of any fees. Child class FeesDetail includes a breakdown of the individual fees.

  - `CatalogOfferingsAirChangeResponse.CatalogOfferings.CatalogOffering.Price.PriceBreakdown.Amount.Total` (number)
    "Specifies the total price including base + taxes + fees. 
In PriceBreakdownHospitality, this total is for a given group of nights. 
In PriceBreakdownAir this is the total for one passenger of this PTC type."
    Example: 230.13

  - `CatalogOfferingsAirChangeResponse.CatalogOfferings.CatalogOffering.Price.PriceBreakdown.Amount.approximateInd` (boolean)
    if true this amount has been converted from the original amount
    Example: true

  - `CatalogOfferingsAirChangeResponse.CatalogOfferings.CatalogOffering.Price.PriceBreakdown.Commission` (object)
    Commission information. In Air Search commission is returned for GDS only; not supported for NDC. Any commission filed by an airline in a CAT35 fare is returned in PriceBreakdownAir/Commission. The amount is either a percent of the fare component (@type CommissionPercent and the Percent object) or an amount (@type CommissionAmount and the Amount object).

  - `CatalogOfferingsAirChangeResponse.CatalogOfferings.CatalogOffering.Price.PriceBreakdown.Commission.@type` (string, required)
    Discriminator. Child classes CommissionAmount or CommissionPercent
    Example: "CommissionAmount"

  - `CatalogOfferingsAirChangeResponse.CatalogOfferings.CatalogOffering.Price.PriceBreakdown.Commission.application` (string)
    Type of commission
    Enum: "Full", "Partial", "Non-paying", "No-show", "Adjustment", "Commissionable"

  - `CatalogOfferingsAirChangeResponse.CatalogOfferings.CatalogOffering.Price.VendorCurrencyTotal` (object)
    No longer used. Previously used to expose the local vendor currency when it is different to the purchased currency

  - `CatalogOfferingsAirChangeResponse.CatalogOfferings.CatalogOffering.Price.VendorCurrencyTotal.@type` (string)

  - `CatalogOfferingsAirChangeResponse.CatalogOfferings.CatalogOffering.Price.VendorCurrencyTotal.currencySource` (string)
    The system requesting or returning the currency code specified in the attribute
    Enum: "Supplier", "Charged", "Requested"

  - `CatalogOfferingsAirChangeResponse.CatalogOfferings.CatalogOffering.Price.VendorCurrencyTotal.CurrencyCode` (object)
    Currency codes are the three-letter alphabetic codes that represent the various currencies used throughout the world. 
For Hotel: SourceCurrency is based on the location of the hotel and used for all rates in the response. TargetCurrency is the currency code sent in the request in requestedCurrency.

  - `CatalogOfferingsAirChangeResponse.CatalogOfferings.CatalogOffering.Price.VendorCurrencyTotal.Base` (number)
    The price prior to all applicable taxes of a product such as the rate for a room or fare for a flight.
    Example: 120.2

  - `CatalogOfferingsAirChangeResponse.CatalogOfferings.CatalogOffering.Price.VendorCurrencyTotal.Taxes` (object)
    Summary of all individual taxes. Child class TaxesDetail provides the breakdown of individual taxes.

  - `CatalogOfferingsAirChangeResponse.CatalogOfferings.CatalogOffering.Price.VendorCurrencyTotal.Fees` (object)
    Includes TotalFees object to return the sum total of any fees. Child class FeesDetail includes a breakdown of the individual fees.

  - `CatalogOfferingsAirChangeResponse.CatalogOfferings.CatalogOffering.Price.VendorCurrencyTotal.Total` (number)
    Specifies the total price including base + taxes + fees
    Example: 30.13

  - `CatalogOfferingsAirChangeResponse.CatalogOfferings.CatalogOffering.Price.VendorCurrencyTotal.approximateInd` (boolean)
    True if this amount has been converted from the original amount
    Example: true

  - `CatalogOfferingsAirChangeResponse.CatalogOfferings.CatalogOffering.TermsAndConditions` (object)
    Terms And Conditions that apply to an offer.

  - `CatalogOfferingsAirChangeResponse.CatalogOfferings.CatalogOffering.TermsAndConditions.@type` (string, required)
    Discriminator. Air Search child classes are TermsAndConditionsAir and TermsAndConditionsAncillary. Exchange Search child class is TermsAndConditionsAirChange. Search Ancillaries and Seat Availabilities child classes are TermsAndConditions, TermsAndConditionsAncillary, and TermsAndConditionsAncillaryAir. Hotel Availability child class is TermsAndConditionsHospitality.
    Example: "TermsAndConditionsAir"

  - `CatalogOfferingsAirChangeResponse.CatalogOfferings.CatalogOffering.TermsAndConditions.id` (string)
    Local id within a given message to support referencing this object. For Air Search APIs, matches to the reference value in ProductBrandOffering/TermsAndConditions/termsAndConditionsRef in instances of ProductBrandOptions.
    Example: "TC_1"

  - `CatalogOfferingsAirChangeResponse.CatalogOfferings.CatalogOffering.TermsAndConditions.termsAndConditionsRef` (string)
    Reference id that corresponds to the TermsAndConditions 'id' in ReferenceListTermsAndConditions.TermsAndConditions.
    Example: "TC_1"

  - `CatalogOfferingsAirChangeResponse.CatalogOfferings.CatalogOffering.TermsAndConditions.Identifier` (object)
    A globally unique identifier key often used to reference a given option (such as Pricing, Booking, Rules, or additional workflows) or to retrieve information (such as Hotel pagination).

  - `CatalogOfferingsAirChangeResponse.CatalogOfferings.CatalogOffering.TermsAndConditions.ExpiryDate` (string)
    The date and time the offer will expire. Not returned in GDS Search. NDC generally allows 20 to 30 minutes to create a booking (the offer time limit). That time limit varies by airline and is returned here in the Search response.
    Example: "2022-08-07 12:12:00+00:00"

  - `CatalogOfferingsAirChangeResponse.CatalogOfferings.CatalogOffering.TermsAndConditions.CustomerLoyalty` (array)

  - `CatalogOfferingsAirChangeResponse.CatalogOfferings.AncillaryOffering` (array)

  - `CatalogOfferingsAirChangeResponse.CatalogOfferings.AncillaryOffering.@type` (string, required)
    Discriminator classes AncillaryOfferingID and AncillaryOffering
    Example: "AncillaryOffering"

  - `CatalogOfferingsAirChangeResponse.CatalogOfferings.AncillaryOffering.id` (string)
    Local identifier within a given message for this object.

  - `CatalogOfferingsAirChangeResponse.CatalogOfferings.AncillaryOffering.CatalogOfferingRef` (string)
    Used to reference another instance of this object in the same message

  - `CatalogOfferingsAirChangeResponse.CatalogOfferings.AncillaryOffering.AncillaryOfferingRef` (string)

  - `CatalogOfferingsAirChangeResponse.CatalogOfferings.AncillaryOffering.Identifier` (object)
    A globally unique identifier key often used to reference a given option (such as Pricing, Booking, Rules, or additional workflows) or to retrieve information (such as Hotel pagination).

  - `CatalogOfferingsAirChangeResponse.@type` (string)
    Example: "response"

  - `CatalogOfferingsAirChangeResponse.transactionId` (string)
    "A unique system-generated (128 bit GUID format) transaction/tracking id for a single request and response (i.e. for a single transaction) used for internal tracking and troubleshooting. Also known as E2ETrackingId. Not returned in all Hotel API responses."
    Example: "49f58f5f-c443-43b4-9f5d-be405fd00a01"

  - `CatalogOfferingsAirChangeResponse.traceId` (string)
    "Used in hospitality workflows to provide a Unique transaction or tracking id for a single request and response. For Rules, returned if a custom trace ID was sent in the request header"
    Example: "TraceID_123456"

  - `CatalogOfferingsAirChangeResponse.correlationId` (string)
    Identifier used to correlate hotel API invocations across a multi-call business flow.

  - `CatalogOfferingsAirChangeResponse.reservationStatus` (string)
    Status of reservation or offer completion.
    Enum: "Success", "Fail", "Partial", "Pending", "OnHold", "Retry", "Other"

  - `CatalogOfferingsAirChangeResponse.Result` (object)
    Returns the error and/or warning message information, if applicable.

  - `CatalogOfferingsAirChangeResponse.Result.@type` (string)
    Discriminator class Result only
    Example: "Result"

  - `CatalogOfferingsAirChangeResponse.Result.status` (string)
    The status of an error or warning
    Enum: "Not processed", "Incomplete", "Complete", "Unknown"

  - `CatalogOfferingsAirChangeResponse.Result.Error` (array)
    A list of error information returned at the provider level for a response.

  - `CatalogOfferingsAirChangeResponse.Result.Error.@type` (string, required)
    Discriminator classes Error or ErrorDetail
    Example: "ErrorDetail"

  - `CatalogOfferingsAirChangeResponse.Result.Error.Message` (string)
    The Travelport standardized error or warning message
    Example: "No flights found."

  - `CatalogOfferingsAirChangeResponse.Result.Error.NameValuePair` (array)

  - `CatalogOfferingsAirChangeResponse.Result.Error.NameValuePair.value` (string)
    Text directly related to name description, providing more detail. May have character restrictions based on remark type (e.g. Free Text limitations: 84 characters, alphanumeric and some special characters).
    Example: "Sunday"

  - `CatalogOfferingsAirChangeResponse.Result.Error.NameValuePair.id` (string)
    Optional internally referenced id
    Example: "6"

  - `CatalogOfferingsAirChangeResponse.Result.Error.NameValuePair.name` (string, required)
    Key, categorizing the of type of remark or error.
    Example: "Day1"

  - `CatalogOfferingsAirChangeResponse.Result.Error.StatusCode` (integer)
    Http standard response code
    Example: 200

  - `CatalogOfferingsAirChangeResponse.Result.Warning` (array)
    A list of warning information returned at the provider level for a response.

  - `CatalogOfferingsAirChangeResponse.Result.Warning.@type` (string, required)
    Discriminator classes Warning or WarningDetail
    Example: "WarningDetail"

  - `CatalogOfferingsAirChangeResponse.Result.Warning.Message` (string)
    The Travelport standardized error or warning message
    Example: "Customer Loyalty could not be applied."

  - `CatalogOfferingsAirChangeResponse.Result.Warning.NameValuePair` (array)

  - `CatalogOfferingsAirChangeResponse.Result.Warning.StatusCode` (integer)
    Http standard response code
    Example: 200

  - `CatalogOfferingsAirChangeResponse.Identifier` (object)
    A globally unique identifier key often used to reference a given option (such as Pricing, Booking, Rules, or additional workflows) or to retrieve information (such as Hotel pagination).

  - `CatalogOfferingsAirChangeResponse.NextSteps` (object)
    Container for the steps that describe actions that may be taken on the containing object.

  - `CatalogOfferingsAirChangeResponse.NextSteps.baseURI` (string, required)
    The base portion of the uri in order to shorten the uris in the individual steps

  - `CatalogOfferingsAirChangeResponse.NextSteps.id` (string)
    Optional internally referenced id
    Example: "5"

  - `CatalogOfferingsAirChangeResponse.NextSteps.NextStep` (array, required)

  - `CatalogOfferingsAirChangeResponse.NextSteps.NextStep.value` (string)
    Example: "www.resourcelocation.com"

  - `CatalogOfferingsAirChangeResponse.NextSteps.NextStep.id` (string)
    Identifier for the Next Step
    Example: "2"

  - `CatalogOfferingsAirChangeResponse.NextSteps.NextStep.action` (string, required)
    The action this next step is intended to achieve
    Example: "cancel"

  - `CatalogOfferingsAirChangeResponse.NextSteps.NextStep.method` (string, required)
    Describes the set of potential methods that can be taken after an operation.
    Enum: "GET", "DELETE", "PUT", "POST"

  - `CatalogOfferingsAirChangeResponse.NextSteps.NextStep.description` (string)
    Additional clarification for the next step
    Example: "remove offer from the order"

  - `CatalogOfferingsAirChangeResponse.ReferenceList` (array)

  - `CatalogOfferingsAirChangeResponse.ReferenceList.@type` (string, required)
    Discriminator. Air Search child classes are ReferenceListAmenity, ReferenceListBrand, ReferenceListFlight, ReferenceListProduct, ReferenceListTermsAndConditions, and ReferenceListUniversalProductAttribute. Air Price child classes are ReferenceListAmenity and ReferenceListBrand. FareRules child class is ReferenceListFlight. Search Ancillaries child class is ReferenceListFlight. Seat Map child class is ReferenceListSeatingChart. Hotel Availability child class is ReferenceListPropertyDates. Reservation and Reservation Workbench child classes are ReferenceListAmenity, ReferenceListBrand, and ReferenceListUniversalProductAttribute. Exchange Search child classes are ReferenceListBrand, ReferenceListFlight, and ReferenceListExchangedPrice. Reservation Receipt child classes are ReferenceListOffer and ReferenceListTraveler. Book_Traveler child class is ReferenceListTraveler.
    Example: "ReferenceListFlight"

  - `CatalogOfferingsAirChangeResponse.ReferenceList.id` (string)
    Uniquely identifies for the Reference List

  - `CatalogOfferingsAirChangeResponse.CurrencyRateConversion` (array)

  - `CatalogOfferingsAirChangeResponse.CurrencyRateConversion.@type` (string)

  - `CatalogOfferingsAirChangeResponse.CurrencyRateConversion.SourceCurrency` (object, required)
    Currency codes are the three-letter alphabetic codes that represent the various currencies used throughout the world. 
For Hotel: SourceCurrency is based on the location of the hotel and used for all rates in the response. TargetCurrency is the currency code sent in the request in requestedCurrency.

  - `CatalogOfferingsAirChangeResponse.CurrencyRateConversion.TargetCurrency` (object, required)
    Currency codes are the three-letter alphabetic codes that represent the various currencies used throughout the world. 
For Hotel: SourceCurrency is based on the location of the hotel and used for all rates in the response. TargetCurrency is the currency code sent in the request in requestedCurrency.

  - `CatalogOfferingsAirChangeResponse.CurrencyRateConversion.ConversionRate` (object, required)
    Conversion rate of SourceCurrency value to TargetCurrency value. This value can be used to calculate, independently of the API, conversion for the rates in the response. The response does not convert any amounts.

  - `CatalogOfferingsAirChangeResponse.CurrencyRateConversion.ConversionRate.value` (number)

  - `CatalogOfferingsAirChangeResponse.CurrencyRateConversion.ConversionRate.rateAuthority` (string)
    Contextual rate authority
    Example: "ISO 4217"

  - `CatalogOfferingsAirChangeResponse.CurrencyRateConversion.ConversionRate.rateAsOf` (string)
    Rate as of
    Example: "2026-08-07 12:12:00+00:00"

  - `CatalogOfferingsAirChangeResponse.Pagination` (object)
    Pagination object used when result sets span across a number of pages.

  - `CatalogOfferingsAirChangeResponse.Pagination.@type` (string, required)
    Example: "Pagination"

  - `CatalogOfferingsAirChangeResponse.Pagination.page` (integer, required)
    The current page number of the full result set
    Example: 1

  - `CatalogOfferingsAirChangeResponse.Pagination.pageSize` (integer, required)
    The total number of items on this page
    Example: 20

  - `CatalogOfferingsAirChangeResponse.Pagination.totalPages` (integer, required)
    The total number of pages in this result set
    Example: 5

  - `CatalogOfferingsAirChangeResponse.Pagination.totalItems` (integer, required)
    The total number of pages in this result set
    Example: 100

## Response 400 fields (application/json):

  - `ErrorResponse` (object)
    Base common error response

  - `ErrorResponse.@type` (string)
    Example: "response"

  - `ErrorResponse.transactionId` (string)
    "A unique system-generated (128 bit GUID format) transaction/tracking id for a single request and response (i.e. for a single transaction) used for internal tracking and troubleshooting. Also known as E2ETrackingId. Not returned in all Hotel API responses."
    Example: "49f58f5f-c443-43b4-9f5d-be405fd00a01"

  - `ErrorResponse.traceId` (string)
    "Used in hospitality workflows to provide a Unique transaction or tracking id for a single request and response. For Rules, returned if a custom trace ID was sent in the request header"
    Example: "TraceID_123456"

  - `ErrorResponse.correlationId` (string)
    Identifier used to correlate hotel API invocations across a multi-call business flow.

  - `ErrorResponse.reservationStatus` (string)
    Status of reservation or offer completion.
    Enum: "Success", "Fail", "Partial", "Pending", "OnHold", "Retry", "Other"

  - `ErrorResponse.Result` (object)
    Returns the error and/or warning message information, if applicable.

  - `ErrorResponse.Identifier` (object)
    A globally unique identifier key often used to reference a given option (such as Pricing, Booking, Rules, or additional workflows) or to retrieve information (such as Hotel pagination).

  - `ErrorResponse.NextSteps` (object)
    Container for the steps that describe actions that may be taken on the containing object.

  - `ErrorResponse.ReferenceList` (array)

  - `ErrorResponse.CurrencyRateConversion` (array)

  - `ErrorResponse.Pagination` (object)
    Pagination object used when result sets span across a number of pages.


